Repository 32bit  Forum
Repository 64bit  Wiki

Errore Slackbuild Calibre

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Errore Slackbuild Calibre

Messaggioda Twenty-Seven » sab mar 23, 2013 0:49

Ciao,
Dato che Slackware non mi riconosceva il lettore e-book (Sony PRS-T1), ho seguito il consiglio di boh e ho provato a scaricare lo slackbuild di Calibre (per la 13.1, quello per la 13.0 non c' era). Dopo aver scaricato e installato tutte le varie dipendenze ho lanciato lo slackbuild, ma ho ottenuto il seguente errore:

File "/usr/lib/python2.6/subprocess.py", line 462, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['g++', '-O3', '-Wall', '-DNDEBUG', '-fno-strict-aliasing', '-pipe', '-fPIC', '-O2', '-march=i486', '-mtune=i686', '-pthread', '-I/usr/include/python2.6', '-DPNG_SKIP_SETJMP_CHECK', '-I/usr/include', '-I/usr/include/ImageMagick', '-I/usr/include/poppler', '-c', '/tmp/SBo/calibre/src/calibre/ebooks/pdf/reflow.cpp', '-o', '/tmp/SBo/calibre/build/objects/pdfreflow/reflow.o']' returned non-zero exit status 1

Premettendo che io non so minimamente cosa sia tutta la trafila di roba che appare a terminale quando si lancia uno slackbuild (se qualche buon' anima me ne desse un' infarinatura sarebbe ben accetto....), qualcuno sa cosa voglia dire l' errore e come sistemarlo?

Grazie
Twenty-Seven
Linux 1.0
Linux 1.0
 
Messaggi: 31
Iscritto il: dom gen 27, 2013 14:59
Slackware: 13.0.0 32bit
Kernel: 2.6.29.6
Desktop: KDE

Re: Errore Slackbuild Calibre

Messaggioda Loris » sab mar 23, 2013 12:07

Che versione stai compilando?
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett
Avatar utente
Loris
Admin
Admin
 
Messaggi: 7578
Iscritto il: dom mar 30, 2003 23:00
Località: Gradisca D'Isonzo
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5

Re: Errore Slackbuild Calibre

Messaggioda Twenty-Seven » sab mar 23, 2013 12:55

Sto compilando la versione 0.7.45, mi ero dimenticato di specificarlo...
Twenty-Seven
Linux 1.0
Linux 1.0
 
Messaggi: 31
Iscritto il: dom gen 27, 2013 14:59
Slackware: 13.0.0 32bit
Kernel: 2.6.29.6
Desktop: KDE

Re: Errore Slackbuild Calibre

Messaggioda Loris » sab mar 23, 2013 21:18

Potresti provare la compilazione della versione 0.9.11 che trovi sul repo della 14.0, ovviamente devi ricompilare anche tutte le dipendenze, hai a disposizione tutti gli SlackBuild non dovrebbe essere un grosso lavoro.
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett
Avatar utente
Loris
Admin
Admin
 
Messaggi: 7578
Iscritto il: dom mar 30, 2003 23:00
Località: Gradisca D'Isonzo
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5

Re: Errore Slackbuild Calibre

Messaggioda Toni » sab mar 23, 2013 21:42

Ciao di sicuro sono OT ma avendo avuto il tuo stesso problema ho installato calibre in modo semplicissimo con questo comando ( da root ):

Codice: Seleziona tutto
python -c "import sys; py3 = sys.version_info[0] > 2; u = __import__('urllib.request' if py3 else 'urllib', fromlist=1); exec(u.urlopen('http://status.calibre-ebook.com/linux_installer').read()); main()"


come specificato qui:

http://calibre-ebook.com/download_linux

UPDATE:

addirittura il tizio che sviluppa sta roba dice esplicitamente di non utilizzare binari forniti da distro perchè obsoleti/buggati

Please do not use your distribution provided calibre package, as those are often buggy/outdated. Instead use the Binary install described below.
Avatar utente
Toni
Linux 2.6
Linux 2.6
 
Messaggi: 993
Iscritto il: lun gen 30, 2006 22:08
Località: milano
Slackware: slackware-14
Kernel: 3.10.5
Desktop: i3

Re: Errore Slackbuild Calibre

Messaggioda Twenty-Seven » mar mar 26, 2013 0:28

Grazie mille per le risposte.

Per Loris: Come mai dovrei ricompilare tutte le dipendenze? Io comunque non ho compilato le dipendenze, ho semplicemente letto le dipendenze necessarie sulla pagina dello slackbuild e scaricato direttamente i pacchetti necessari dal repository, installandoli con pkgtool.

Per Toni: ho provato il comando che hai detto, però purtroppo ho un problema di dipendenze:

calibre
WARNING: You do not have the LANG environment variable set correctly. This will cause problems with non-ascii filenames. Set it to something like en_US.UTF-8.

Traceback (most recent call last):
File "site.py", line 56, in main
File "site-packages/calibre/gui2/main.py", line 18, in <module>
File "site-packages/calibre/library/database2.py", line 42, in <module>
File "site-packages/calibre/utils/magick/__init__.py", line 15, in <module>
RuntimeError: Failed to load ImageMagick: libltdl.so.7: cannot open shared object file: No such file or directory

Ho cercato la libtdl.so.7 ma non so dove reperirla, io ho una libtdl.so.3 installata. Posso fare un link simbolico alla libtdl.so.3?
Twenty-Seven
Linux 1.0
Linux 1.0
 
Messaggi: 31
Iscritto il: dom gen 27, 2013 14:59
Slackware: 13.0.0 32bit
Kernel: 2.6.29.6
Desktop: KDE

Re: Errore Slackbuild Calibre

Messaggioda Loris » mar mar 26, 2013 8:28

Twenty-Seven ha scritto:Grazie mille per le risposte.

Per Loris: Come mai dovrei ricompilare tutte le dipendenze? Io comunque non ho compilato le dipendenze, ho semplicemente letto le dipendenze necessarie sulla pagina dello slackbuild e scaricato direttamente i pacchetti necessari dal repository, installandoli con pkgtool.


Perché da quello che ho capito hai installato le dipendenze compilate su Slackware 13.1 sulla 13.0. Quindi potresti provare la strada della ricompilazione sia delle dipendenze che di calibre...
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett
Avatar utente
Loris
Admin
Admin
 
Messaggi: 7578
Iscritto il: dom mar 30, 2003 23:00
Località: Gradisca D'Isonzo
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5

Re: Errore Slackbuild Calibre

Messaggioda Twenty-Seven » mar mar 26, 2013 23:53

La maggior parte delle dipendenze le ho trovate pacchettizzate per la 13.0, però qualcuna l' ho presa pacchettizzata per la 13.1. A questo punto proverò a riscaricare anche gli slackbuild delle varie dipendenze e a compilarle e vediamo cosa succede......
Twenty-Seven
Linux 1.0
Linux 1.0
 
Messaggi: 31
Iscritto il: dom gen 27, 2013 14:59
Slackware: 13.0.0 32bit
Kernel: 2.6.29.6
Desktop: KDE

Re: Errore Slackbuild Calibre

Messaggioda Twenty-Seven » dom mar 31, 2013 23:07

Rieccomi! Ho provato a scaricare lo slackbuild di calibre-0.9.13 e gli slackbuild delle relative dipendenze. Però quando lancio lo slackbuild, dopo qualche secondo mi da il seguente errore:


Traceback (most recent call last):
File "setup.py", line 13, in <module>
import setup.commands as commands
File "/tmp/SBo/calibre/setup/commands.py", line 34, in <module>
from setup.extensions import Build
File "/tmp/SBo/calibre/setup/extensions.py", line 357
if opts.only in {'all', 'style'}:
^
SyntaxError: invalid syntax

Il problema di sintassi potrebbe essere lo spazio dopo la virgola prima di 'style'?
Twenty-Seven
Linux 1.0
Linux 1.0
 
Messaggi: 31
Iscritto il: dom gen 27, 2013 14:59
Slackware: 13.0.0 32bit
Kernel: 2.6.29.6
Desktop: KDE

Re: Errore Slackbuild Calibre

Messaggioda Toni » mer apr 03, 2013 19:00

in effetti io uso slackware 14, penso che il tuo errore dipende dalla versione python installata su slackware,

guardo un po e ti faccio sapere
Avatar utente
Toni
Linux 2.6
Linux 2.6
 
Messaggi: 993
Iscritto il: lun gen 30, 2006 22:08
Località: milano
Slackware: slackware-14
Kernel: 3.10.5
Desktop: i3

Re: Errore Slackbuild Calibre

Messaggioda Twenty-Seven » mer apr 03, 2013 22:10

Io sulla 13.0 ho la versione 2.6 di python
Twenty-Seven
Linux 1.0
Linux 1.0
 
Messaggi: 31
Iscritto il: dom gen 27, 2013 14:59
Slackware: 13.0.0 32bit
Kernel: 2.6.29.6
Desktop: KDE


Torna a Packages

Chi c’è in linea

Visitano il forum: ponce, TurnitinBot [Bot] e 0 ospiti